package com.blueliv.common;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class ValidationErrors{
	
	List<ErrorMessage> errorMessages = new ArrayList<ErrorMessage>();
	
	public void add(ErrorMessage e){
		errorMessages.add(e);
	}
	
	public boolean isEmpty(){
		return errorMessages.size()==0;
	}
	
	@XmlElement
	public List<ErrorMessage> getErrorMessages(){
		return errorMessages;
	}

}
